package bean;

import java.sql.*;
import java.util.Hashtable;
import java.util.Enumeration;

public class PostBean extends DbBean {
	private int id = -1;
	private String title = "";
	private String text = "";
	private long date = 0;
	
	public PostBean() {}

	public void Set(DbBean data) throws SQLException {
		Connection con = data.getConnection();
		PreparedStatement stmt = con.prepareStatement("INSERT INTO posts VALUES (?,?,?,?)");
		if(id > 0)
			stmt.setInt(1, id);
		else
			stmt.setInt(1, data.maxCol("posts", "id")+1);
		stmt.setString(2, title);
		stmt.setString(3, text);
		stmt.setLong(4, date);
		stmt.executeUpdate();
	}
	
	public void Get(Hashtable thash, DbBean data) throws SQLException {
		Connection con = data.getConnection();
		Statement stmt = con.createStatement();
		String query = "SELECT * FROM posts WHERE ";
		for(Enumeration keys = thash.keys(); keys.hasMoreElements();) {
			String key = (String)keys.nextElement();
			Object value = (Object)thash.get(key);
			if(value instanceof String){
				query = query + key + " = '" + value + "' AND ";
			}else{
				query = query + key + " = " + value + " AND ";
			}
		}
		query = query.substring(0, query.length() - 5);
		ResultSet rs = stmt.executeQuery(query);
		if(rs.next()) {
		    id = rs.getInt("id");
			title = rs.getString("title");
			text = rs.getString("text");
			date = rs.getLong("date");
		}
	}
	
	public long getDate() {
		return date;
	}

	public void setDate(long date) {
		this.date = date;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}
} 